| Home | Libraries | People | FAQ | More

##### authority_view::compare

Return the result of comparing this with another authority.

###### Synopsis

    int
    compare(
        authority_view const& other) const;

###### Description

This function compares two authorities according to Syntax-Based comparison algorithm.

###### Exception Safety

Throws nothing.

###### Return Value

-1 if `*this < other`, 0 if `this == other`, and 1 if `this > other`.

###### Specification

- 6.2.2 Syntax-Based Normalization (rfc3986)